WPXHeaderFooter Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WPXHeaderFooter Class Reference

`#include <WPXHeaderFooter.h>`

## Public Member Functions
| WPXHeaderFooter (const WPXHeaderFooterType headerFooterType, const WPXHeaderFooterOccurrence occurrence, const unsigned char internalType, const std::shared_ptr< WPXSubDocument > &subDocument, WPXTableList tableList)
| WPXHeaderFooter (const WPXHeaderFooterType headerFooterType, const WPXHeaderFooterOccurrence occurrence, const unsigned char internalType, const std::shared_ptr< WPXSubDocument > &subDocument)
WPXHeaderFooterType | getType () const
WPXHeaderFooterOccurrence | getOccurrence () const
unsigned char | getInternalType () const
const std::shared_ptr< WPXSubDocument > & | getSubDocument () const
WPXTableList | getTableList () const

## Private Attributes
WPXHeaderFooterType | m_type
WPXHeaderFooterOccurrence | m_occurrence
unsigned char | m_internalType
std::shared_ptr< WPXSubDocument > | m_subDocument
WPXTableList | m_tableList

## Constructor & Destructor Documentation

## ◆ WPXHeaderFooter() [1/2]

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooterType | headerFooterType,
|  | const WPXHeaderFooterOccurrence | occurrence,
|  | const unsigned char | internalType,
|  | const std::shared_ptr< WPXSubDocument > & | subDocument,
|  | WPXTableList | tableList
| ) |  |

## ◆ WPXHeaderFooter() [2/2]

WPXHeaderFooter::WPXHeaderFooter | ( | const WPXHeaderFooterType | headerFooterType,
|  | const WPXHeaderFooterOccurrence | occurrence,
|  | const unsigned char | internalType,
|  | const std::shared_ptr< WPXSubDocument > & | subDocument
| ) |  |

## Member Function Documentation

## ◆ getInternalType()

unsigned char WPXHeaderFooter::getInternalType | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getOccurrence()

WPXHeaderFooterOccurrence WPXHeaderFooter::getOccurrence | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getSubDocument()

const std::shared_ptr<WPXSubDocument>& WPXHeaderFooter::getSubDocument | ( |  | ) | const
| inline

Referenced by operator==().

## ◆ getTableList()

WPXTableList WPXHeaderFooter::getTableList | ( |  | ) | const
| inline

## ◆ getType()

WPXHeaderFooterType WPXHeaderFooter::getType | ( |  | ) | const
| inline

Referenced by operator==().

## Member Data Documentation

## ◆ m_internalType

unsigned char WPXHeaderFooter::m_internalType
| private

Referenced by getInternalType().

## ◆ m_occurrence

WPXHeaderFooterOccurrence WPXHeaderFooter::m_occurrence
| private

Referenced by getOccurrence().

## ◆ m_subDocument

std::shared_ptr<WPXSubDocument> WPXHeaderFooter::m_subDocument
| private

Referenced by getSubDocument().

## ◆ m_tableList

WPXTableList WPXHeaderFooter::m_tableList
| private

Referenced by getTableList().

## ◆ m_type

WPXHeaderFooterType WPXHeaderFooter::m_type
| private

Referenced by getType().

The documentation for this class was generated from the following files:

- WPXHeaderFooter.h
- WPXHeaderFooter.cpp